Skip to main content
PUT
Update milestone

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Path Parameters

id
integer
required

The milestone ID

Example:

1

Body

application/json
name
string

Milestone name. Must not be greater than 255 characters.

Example:

"Phase 1 Signoff"

deadline
string | null

Milestone deadline date-time. Must be a valid date.

Example:

"2026-03-20 12:00:00"

is_completed
boolean | null

Completion flag.

Example:

false

project_id
integer

Project ID. The id of an existing record in the projects_projects table.

Example:

1

Response

Success